#!/usr/bin/python
# -*- coding: utf-8 -*-

from Screens.Screen import Screen
from Components.Label import Label
from Components.Sources.StaticText import StaticText
from Components.Sources.List import List
from Components.ActionMap import ActionMap
from enigma import getDesktop
from Screens.MessageBox import MessageBox

from Components.PluginList import PluginEntryComponent, PluginList
from Components.PluginComponent import plugins
from Plugins.Plugin import PluginDescriptor

reload_value = True
sz_w = getDesktop(0).size().width()

class TestPluginScreen(Screen):
	
	if sz_w == 1920:	#1920 x 1080 FHD
		skin = """
		<screen name="TestPluginScreen" position="200,200" size="1220,780">
			<ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/green.png" position="300,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/yellow.png" position="600,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/blue.png" position="900,0" size="300,70" scale="stretch" alphatest="on" />
			<widget source="key_red" render="Label" position="0,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#9f1313" transparent="1" />
			<widget source="key_green" render="Label" position="300,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#1f771f" transparent="1" />
			<widget source="key_yellow" render="Label" position="600,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#a08500" transparent="1" />
			<widget source="key_blue" render="Label" position="900,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#18188b" transparent="1" />
			<widget source="session.VideoPicture" render="Pig" position="100,200" size="600,400" zPosition="3" backgroundColor="#ff000000" />
		</screen>"""
	else:
		# HD 1280720
		skin = """
		<screen name="TestPluginScreen" position="200,200" size="800,500">
			<ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/green.png" position="200,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/yellow.png" position="400,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/blue.png" position="600,0" size="200,40" scale="stretch" alphatest="on" />
			<widget source="key_red" render="Label" position="0,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#9f1313" transparent="1" />
			<widget source="key_green" render="Label" position="200,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#1f771f" transparent="1" />
			<widget source="key_yellow" render="Label" position="400,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#a08500" transparent="1" />
			<widget source="key_blue" render="Label" position="600,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#18188b" transparent="1" />
			<widget source="session.VideoPicture" render="Pig" position="50,100" size="403,225" zPosition="3" backgroundColor="#ff000000" />
		</screen>"""
		
	def __init__(self, session, skinValue=0):
		Screen.__init__(self, session)
	
		# Initialize widgets
		self["key_green"] = StaticText(_("Open 2. PiG-Screen"))
		self["key_red"] = StaticText(_("Cancel"))
		self["key_yellow"] = StaticText("Open Message")
		self["key_blue"] = StaticText(" ")
		
		# Define Actions
		self["actions"] = ActionMap(["SetupActions", "ColorActions"],
			{
				"cancel": 	self.close,
				"green" :  self.keyGreen,
				"yellow" :  self.keyYellow,
				"blue" :  self.keyBlue,
			},-2)
		
		self.setTitle("TestPlugin - PiG-Screen 1")
	
	def keyGreen(self):
		try:
			self.session.open(TestPluginScreen2)
			
		
		except:
			import traceback, sys
			traceback.print_exc()
	
	def keyYellow(self):
		try:
			self.session.open(MessageBox, "this is a message (dialog=False)",MessageBox.TYPE_INFO,is_dialog=False)
		
		except:
			import traceback, sys
			traceback.print_exc()
			exc_type, exc_value, exc_traceback = sys.exc_info()
			error = "\n".join(traceback.format_exception_only(exc_type, exc_value))
			self.session.open(MessageBox, str(error),MessageBox.TYPE_INFO)
	
	def keyBlue(self):
		try:
			pass
			
		
		except:
			import traceback, sys
			traceback.print_exc()
			exc_type, exc_value, exc_traceback = sys.exc_info()
			error = "\n".join(traceback.format_exception_only(exc_type, exc_value))
			self.session.open(MessageBox, str(error),MessageBox.TYPE_INFO)
			
			
class TestPluginScreen2(TestPluginScreen):
	
	if sz_w == 1920:	#1920 x 1080 FHD
		skin = """
		<screen name="TestPluginScreen2" position="200,200" size="1220,780">
			<ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/green.png" position="300,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/yellow.png" position="600,0" size="300,70" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/blue.png" position="900,0" size="300,70" scale="stretch" alphatest="on" />
			<widget source="key_red" render="Label" position="0,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#9f1313" transparent="1" />
			<widget source="key_green" render="Label" position="300,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#1f771f" transparent="1" />
			<widget source="key_yellow" render="Label" position="600,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#a08500" transparent="1" />
			<widget source="key_blue" render="Label" position="900,0" zPosition="1" size="300,70" font="Regular;32" halign="center" valign="center" backgroundColor="#18188b" transparent="1" />
			<widget source="session.VideoPicture" render="Pig" position="550,200" size="600,400" zPosition="3" backgroundColor="#ff000000" />
		</screen>"""
	else:
		# HD 1280720
		skin = """
		<screen name="TestPluginScreen2" position="200,200" size="800,500">
			<ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/green.png" position="200,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/yellow.png" position="400,0" size="200,40" scale="stretch" alphatest="on" />
			<ePixmap pixmap="skin_default/buttons/blue.png" position="600,0" size="200,40" scale="stretch" alphatest="on" />
			<widget source="key_red" render="Label" position="0,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#9f1313" transparent="1" />
			<widget source="key_green" render="Label" position="200,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#1f771f" transparent="1" />
			<widget source="key_yellow" render="Label" position="400,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#a08500" transparent="1" />
			<widget source="key_blue" render="Label" position="600,0" zPosition="1" size="200,40" font="Regular;22" halign="center" valign="center" backgroundColor="#18188b" transparent="1" />
			<widget source="session.VideoPicture" render="Pig" position="350,100" size="403,225" zPosition="3" backgroundColor="#ff000000" />
		</screen>"""
	
	def __init__(self, session, skinValue=0):
		TestPluginScreen.__init__(self, session)
		self["key_green"] = StaticText(_(" "))
		self.setTitle("TestPlugin - PiG-Screen 2")
		
	def keyGreen(self):
		pass

